<?php
ini_set('memory_limit', '-1');
class ExpedienteA extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('expediente/administrador/expedienteA_model');
		$this->load->library(array('session','form_validation'));


	}

	//Muestra la vista principal crearexpediente_view para crear un nuevo expediente
	public function index(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {

		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$data['ReClientes']=$this->expedienteA_model->BuscarClientes();
		$this->load->view('expediente/administrador/crearexpediente_view',$data);
		$this->load->view('layout/footer');
	
	}

}
	//Guarda todos los datos del expediente 
	public function guardar(){
				$this->db->select('*');
	$this->db->join('clientes','Clientes_IdClientes= IdClientes','inner');
	
	$id= $this->uri->segment(5);

		$obtenerenlaceE = $this->expedienteA_model->obtenerenlaceE($id);
		$parametro['Idexpediente']= $this->input->post('txt_idcliente');
		$parametro['Clientes_IdClientes']= $this->input->post('txt_idcliente');
		$parametro['SupervisionMedica']= $this->input->post('SupervisionMedica');
		$parametro['TratamientoMedico']= $this->input->post('TratamientoMedico');
		$parametro['CualTratamientoMedico']= $this->input->post('CualTratamientoMedico');
		$parametro['TratamientoQuirurgico']= $this->input->post('TratamientoQuirurgico');
		$parametro['CualTratamientoQuirurgico']= $this->input->post('txt_cualtratqui');
		$parametro['TieneAlergias']= $this->input->post('TieneAlergias');
		$parametro['CualesAlergias']= $this->input->post('txt_cualalergias');
		$parametro['CirugiasPlasticas']= $this->input->post('CirugiasPlasticas');
		$parametro['CualesCirugiasPlasticas']= $this->input->post('txt_cirpla');
		$parametro['Implantes']= $this->input->post('Implantes');
		$parametro['CualesImplantes']= $this->input->post('txt_cualimplantes');
		$parametro['DesajustesOseos']= $this->input->post('DesajustesOseos');
		$parametro['CualesDesajustesOseos']= $this->input->post('txt_cualdes');
		$parametro['MedicamentosUltimosMeses']= $this->input->post('MedicamentosUltimosMeses');
		$parametro['CualesMedicamentos']= $this->input->post('CualesMedicamentos');
		$parametro['AutorizaciónMedica']= $this->input->post('AutorizaciónMedica');
		$parametro['CualMedico']= $this->input->post('CualMedico');
		$parametro['DiagnosticoyObservaciones']= $this->input->post('txt_diayobs');
		$parametro['Historia']= $this->input->post('Time')." ".$parametro['reloj']=$this->input->post('reloj')."->".$parametro['txt_historia']=$this->input->post('txt_historia');
		$parametro['usuarios_IdUsuarios']= $this->input->post('usuario');
		
		$parametro['Diabetes']= $this->input->post('TDiabetes');
		$parametro['Hepatitis']= $this->input->post('THepatitis');
		$parametro['Vitiligo']= $this->input->post('TVitiligo');
		$parametro['ProblemasCirculatorios']= $this->input->post('PCirculatorios');
		$parametro['RetencionLiquidos']= $this->input->post('TRetencion');
		$parametro['Alergias']= $this->input->post('TAlergias');
		$parametro['Herpes']= $this->input->post('THerpes');
		$parametro['Artritis']= $this->input->post('TArtritis');
		$parametro['DesajustesHormonales']= $this->input->post('THormonales');
		$parametro['Cicatrizacion']= $this->input->post('TCicatrizacion');
		$parametro['Cancer']= $this->input->post('TCancer');
		$parametro['Hernias']= $this->input->post('THernias');
		$parametro['Cirugias']= $this->input->post('TCirugias');
		$parametro['InsuficienciaHepatica']= $this->input->post('TIHepatica');
		$parametro['InsuficienciaRenal']= $this->input->post('IRenal');
		$parametro['Quistes']= $this->input->post('TQuistes');
		$parametro['Miomas']= $this->input->post('TMiomas');
		$parametro['Protesis']= $this->input->post('TProtesis');
		$parametro['ProblemasAuditivos']= $this->input->post('TPAuditivos');
		$parametro['TrigliseridosAltos']= $this->input->post('TTrigliseridosA');
		$parametro['Migraña']= $this->input->post('TMigraña');
		$parametro['Implantes']= $this->input->post('TImplantes');
		$parametro['Hipotension']= $this->input->post('THipotension');
		$parametro['Hiportiroidismo']= $this->input->post('THipo');
		$parametro['DesajustesOseos']= $this->input->post('TOseos');
		$parametro['Marcapasos']= $this->input->post('TMarcapasos');
		$parametro['Dermatitis']= $this->input->post('TDerma');
		$parametro['Psoriasis']= $this->input->post('TPso');
		$parametro['Cuperosis']= $this->input->post('TCuperosis');
		$parametro['Rosacia']= $this->input->post('TRosacea');
		$parametro['Acantosis']= $this->input->post('TAcantosis');
		$parametro['Hipertension']= $this->input->post('THipertension');
		$parametro['Hipertiroidismo']= $this->input->post('THiperteiro');
		$parametro['Epilepsia']= $this->input->post('TEpilepsia');
		$parametro['Cardiopatias']= $this->input->post('TCardio');
		$parametro['Claustrofobia']= $this->input->post('TClaus');
		$parametro['ColesterolAlto']= $this->input->post('TColesterolA');
		$parametro['Placas']= $this->input->post('TPlacas');
		$parametro['Otras']= $this->input->post('Otras');
		$parametro['CualesOtras']=$this->input->post('Cuales');
		$parametro['ComentariosE']= $this->input->post('TComentarios');
	

		$parametro['Antibioticos']= $this->input->post('Antibiotico');
		$parametro['Vitaminas']= $this->input->post('Vitaminas');
		$parametro['Analgesicos']= $this->input->post('Analgesicos');
		$parametro['Antidepresivos']= $this->input->post('Antidepresivos');
		$parametro['Corticoides']= $this->input->post('Corticoides');
		$parametro['Antihismaticos']= $this->input->post('Antihi');
		$parametro['Antiacneticos']= $this->input->post('Antiacneticos');
		$parametro['Antirritmicos']= $this->input->post('Antirritmicos');
		$parametro['Pigmentacion']= $this->input->post('Pigmentacion');
		$parametro['MEpilepcia']= $this->input->post('MEpilepcia');
		$parametro['MDiabetes']= $this->input->post('MOrales');
		$parametro['Hemeopaticos']= $this->input->post('Homeo');
		$parametro['Naturistas']= $this->input->post('Naturistas');
		$parametro['Otros']= $this->input->post('Otros');
		$parametro['Comentarios']= $this->input->post('Observaciones');
		

		
		$this->expedienteA_model->guardar($parametro);
	
	
}

//Muestra una lista de clientes 
public function MostrarClientes(){
		$options ="";
		if($this->input->post('IdClientes')){
			$IdClientes=$this->input->post('Clientes');
			$NombreCliente=$this->expedienteA_model->BuscarClientes($IdClientes);
			foreach ($NombreCliente as $fila) {
				?>
                <option value="<?php echo $fila->id ?>"><?php echo $cliente_name ?></option>
                <?php
			}
		}

	}

	//Manda a traer los datos del expediente del cliente seleccionado 
	public function editarE(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {


	$this->db->join('clientes','Clientes_IdClientes= IdClientes','inner');

		$id= $this->uri->segment(5);
		$obtenerenlaceE = $this->expedienteA_model->obtenerenlaceE($id);
		if($obtenerenlaceE != FALSE){
		foreach ($obtenerenlaceE->result() as $fila) {
		$Idexpediente = $fila->Idexpediente;
		$IdClientes = $fila->IdClientes;
		$NombreCliente = $fila->NombreCliente;
		$FechaNacimientoCliente = $fila->FechaNacimientoCliente;
		$SexoCliente = $fila->SexoCliente;
		$EdadCliente = $fila->EdadCliente;
		$SupervisionMedica = $fila->SupervisionMedica;
		$TratamientoMedico = $fila->TratamientoMedico;
		$CualTratamientoMedico = $fila->CualTratamientoMedico;
		$TratamientoQuirurgico= $fila->TratamientoQuirurgico;
		$CualTratamientoQuirurgico = $fila->CualTratamientoQuirurgico;
		$TieneAlergias = $fila->TieneAlergias;
		$CualesAlergias = $fila->CualesAlergias;
		$CirugiasPlasticas = $fila->CirugiasPlasticas;
		$CualesCirugiasPlasticas = $fila->CualesCirugiasPlasticas;
		$Implantes = $fila->Implantes;
		$CualesImplantes = $fila->CualesImplantes;
		$DesajustesOseos = $fila->DesajustesOseos;
		$CualesDesajustesOseos = $fila->CualesDesajustesOseos;
		$MedicamentosUltimosMeses = $fila->MedicamentosUltimosMeses;
		$CualesMedicamentos = $fila->CualesMedicamentos;
		$AutorizaciónMedica = $fila->AutorizaciónMedica;
		$CualMedico = $fila->CualMedico;
		$DiagnosticoyObservaciones = $fila->DiagnosticoyObservaciones;
		$Historia = $fila->Historia;
		$MDiabetes = $fila->MDiabetes;
		$Antibioticos= $fila->Antibioticos;
		$Vitaminas = $fila->Vitaminas;
		$Analgesicos = $fila->Analgesicos;
		$Antidepresivos = $fila->Antidepresivos;
		$Corticoides = $fila->Corticoides;
		$Antihismaticos = $fila->Antihismaticos;
		$Antiacneticos=$fila->Antiacneticos;
		$Antirritmicos=$fila->Antirritmicos;
		$Pigmentacion=$fila->Pigmentacion;
		$MEpilepcia = $fila->MEpilepcia;
		$MDiabetes=$fila->MDiabetes;
		$Hemeopaticos =$fila->Hemeopaticos;
		$Naturistas=$fila->Naturistas;
		$Otros=$fila->Otros;
		$Comentarios=$fila->Comentarios;
		$Diabetes=$fila->Diabetes;
		$Herpes=$fila->Herpes;
		$Cancer =$fila->Cancer;
		$Cardiopatias=$fila->Cardiopatias;
		$Hipertension=$fila->Hipertension;
		$Alergias=$fila->Alergias;
		$Hipotension=$fila->Hipotension;
		$Hepatitis =$fila->Hepatitis;
		$Artritis=$fila->Artritis;
		$Marcapasos=$fila->Marcapasos;
		$Dermatitis=$fila->Dermatitis;
		$Claustrofobia=$fila->Claustrofobia;
		$Psoriasis=$fila->Psoriasis;
		$Cuperosis=$fila->Cuperosis;
		$Rosacia=$fila->Rosacia;
		$Acantosis=$fila->Acantosis;
		$Vitiligo=$fila->Vitiligo;
		$Hipertiroidismo=$fila->Hipertiroidismo;
		$ProblemasCirculatorios=$fila->ProblemasCirculatorios;
		$RetencionLiquidos=$fila->RetencionLiquidos;
		$DesajustesHormonales =$fila->DesajustesHormonales;
		$Cicatrizacion =$fila->Cicatrizacion;
		$Hernias =$fila->Hernias;
		$Cirugias =$fila->Cirugias;
		$InsuficienciaHepatica =$fila->InsuficienciaHepatica;
		$Quistes=$fila->Quistes;
		$InsuficienciaRenal=$fila->InsuficienciaRenal;
		$Miomas=$fila->Miomas;
		$Protesis=$fila->Protesis;
		$ProblemasAuditivos=$fila->ProblemasAuditivos;
		$TrigliseridosAltos=$fila->TrigliseridosAltos;
		$Migraña=$fila->Migraña;
		$Hiportiroidismo=$fila->Hiportiroidismo;
		$Psoriasis=$fila->Psoriasis;
		$Hipertiroidismo=$fila->Hipertiroidismo;
		$Epilepsia=$fila->Epilepsia;
		$ColesterolAlto =$fila->ColesterolAlto;
		$Placas = $fila->Placas;
		$Otras=$fila->Otras;
		$CualesOtras=$fila->CualesOtras;
		$ComentariosE=$fila->ComentariosE;



			}
			$data = array(
				'Idexpediente' => $Idexpediente,
				'IdClientes' => $IdClientes,
				'NombreCliente' => $NombreCliente,
				'FechaNacimientoCliente' => $FechaNacimientoCliente,
				'SexoCliente' => $SexoCliente,
				'EdadCliente' => $EdadCliente,
				'SupervisionMedica' => $SupervisionMedica,
				'TratamientoMedico' => $TratamientoMedico,
				'CualTratamientoMedico' => $CualTratamientoMedico,
				'TratamientoQuirurgico' => $TratamientoQuirurgico,
				'CualTratamientoQuirurgico' => $CualTratamientoQuirurgico,
				'TieneAlergias' => $TieneAlergias,
				'CualesAlergias' => $CualesAlergias,
				'CirugiasPlasticas' => $CirugiasPlasticas,
				'CualesCirugiasPlasticas' => $CualesCirugiasPlasticas,
				'Implantes' => $Implantes,
				'CualesImplantes' => $CualesImplantes,
				'DesajustesOseos' => $DesajustesOseos,
				'CualesDesajustesOseos' => $CualesDesajustesOseos,
				'MedicamentosUltimosMeses' => $MedicamentosUltimosMeses,
				'CualesMedicamentos' => $CualesMedicamentos,
				'AutorizaciónMedica' => $AutorizaciónMedica,
				'CualMedico' => $CualMedico,
				'DiagnosticoyObservaciones' => $DiagnosticoyObservaciones,
				'Historia' => $Historia,
				'MDiabetes' => $MDiabetes,
				'Vitaminas' => $Vitaminas,
				'Analgesicos' => $Analgesicos,
				'Antibioticos' => $Antibioticos,
				'Antidepresivos' => $Antidepresivos,
				'Corticoides' => $Corticoides,
				'Antihismaticos' =>$Antihismaticos,
				'Antiacneticos' =>$Antiacneticos,
				'Antirritmicos' => $Antirritmicos,
				'Pigmentacion' =>$Pigmentacion,
				'MEpilepcia' => $MEpilepcia,
				'MDiabetes' => $MDiabetes,
				'Hemeopaticos' => $Hemeopaticos,
				'Naturistas' => $Naturistas,
				'Otros' => $Otros,
				'Comentarios' => $Comentarios,
				'Analgesicos' => $Analgesicos,
				'Diabetes' => $Diabetes,
				'Herpes' => $Herpes,
				'Cancer' => $Cancer,
				'Cardiopatias' => $Cardiopatias,
				'Hipertension' => $Hipertension,
				'Alergias' => $Alergias,
				'Hipotension' => $Hipotension,
				'Hepatitis' => $Hepatitis,
				'Artritis' => $Artritis,
				'Marcapasos' => $Marcapasos,
				'Dermatitis' => $Dermatitis,
				'Claustrofobia' => $Claustrofobia,
				'Vitiligo'=> $Vitiligo,
				'ProblemasCirculatorios' => $ProblemasCirculatorios,
				'RetencionLiquidos'=>$RetencionLiquidos,
				'DesajustesHormonales' => $DesajustesHormonales,
				'Cicatrizacion' => $Cicatrizacion,
				'Hernias' => $Hernias,
				'Cirugias' => $Cirugias,
				'InsuficienciaHepatica' => $InsuficienciaHepatica,
				'Quistes' => $Quistes,
				'InsuficienciaRenal' => $InsuficienciaRenal,
				'Miomas' => $Miomas,
				'Protesis' => $Protesis,
				'ProblemasAuditivos' => $ProblemasAuditivos,
				'TrigliseridosAltos' => $TrigliseridosAltos,
				'Migraña' => $Migraña,
				'Hiportiroidismo' => $Hiportiroidismo,
				'Psoriasis' =>$Psoriasis,
				'Cuperosis' => $Cuperosis,
				'Rosacia' => $Rosacia,
				'Acantosis' => $Acantosis,
				'Hipertiroidismo' => $Hipertiroidismo,
				'Epilepsia'=>$Epilepsia,
				'ColesterolAlto' => $ColesterolAlto,
				'Placas' => $Placas,
				'Otras'=> $Otras,
				'CualesOtras' => $CualesOtras,
				'ComentariosE' => $ComentariosE,
			);
			}else{
				$data ='';
				return FALSE;
			
		}

		//echo "<script>alert($id);</script>";

		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/editarexpedienteA_view',$data);
		$this->load->view('layout/footer');
	}
}

	//Edita y guarda los datos del expediente del cliente seleccionado 
	public function editarenlaceE ()
	{
		
		$IdClientes= $this -> uri->segment(5);
		$data=array(
			
					'SupervisionMedica' => $this -> input ->post('SupervisionMedica'),
			'TratamientoMedico' => $this -> input ->post('TratamientoMedico'),
			'CualTratamientoMedico' => $this -> input ->post('CualTratamientoMedico'),
			'TratamientoQuirurgico' => $this -> input ->post('TratamientoQuirurgico'),
			'CualTratamientoQuirurgico' => $this -> input ->post('CualTratamientoQuirurgico'),
			'TieneAlergias' => $this -> input ->post('TieneAlergias'),
			'CualesAlergias' => $this -> input ->post('CualesAlergias'),
			'CirugiasPlasticas' => $this -> input ->post('CirugiasPlasticas'),
			'CualesCirugiasPlasticas' => $this -> input ->post('CualesCirugiasPlasticas'),
			'Implantes' => $this -> input ->post('Implantes'),
			'CualesImplantes' => $this -> input ->post('CualesImplantes'),
			'DesajustesOseos' => $this -> input ->post('DesajustesOseos'),
			'CualesDesajustesOseos' => $this -> input ->post('CualesDesajustesOseos'),
			'MedicamentosUltimosMeses' => $this -> input ->post('MedicamentosUltimosMeses'),
			'CualesMedicamentos' => $this -> input ->post('CualesMedicamentos'),
			'AutorizaciónMedica' => $this -> input ->post('AutorizaciónMedica'),
			'CualMedico' => $this -> input ->post('CualMedico'),
			'DiagnosticoyObservaciones' => $this -> input ->post('DiagnosticoyObservaciones'),
			'Historia' => $this -> input ->post('Historia')."     ".$parametro['Time']= $this->input->post('Time')." ".$parametro['reloj']= $this->input->post('reloj')."->".$parametro['HistoriaMas']= $this->input->post('HistoriaMas'),
			'MDiabetes' => $this -> input ->post('MDiabetes'),
			'Antibioticos' => $this -> input ->post('Antibioticos'),
			'Vitaminas' => $this->input->post('Vitaminas'),
			'Analgesicos' => $this->input->post('Analgesicos'),
			'Antidepresivos' => $this-> input->post('Antidepresivos'),
			'Corticoides' =>$this-> input->post('Corticoides'),
			'Antihismaticos' =>$this-> input->post('Antihismaticos'),
			'Antiacneticos' =>$this-> input ->post('Antiacneticos'),
			'Antirritmicos' =>$this-> input ->post('Antirritmicos'),
			'Pigmentacion' =>$this-> input->post('Pigmentacion'),
			'MEpilepcia' =>$this-> input ->post('MEpilepcia'),
			'MDiabetes' =>$this->input->post('MDiabetes'),
			'Hemeopaticos' =>$this->input->post('Hemeopaticos'),
			'Naturistas' => $this->input->post('Naturistas'),
			'Otros' => $this->input->post('Otros'),
			'Comentarios' => $this->input->post('Comentarios'),
			'Diabetes' => $this->input->post('Diabetes'),
			'Herpes' => $this->input->post('Herpes'),
			'Cancer' => $this->input->post('Cancer'),
			'Cardiopatias' => $this->input->post('Cardiopatias'),
			'Hipertension' => $this->input->post('Hipertension'),
			'Alergias' => $this->input->post('Alergias'),
			'Hipotension' => $this->input->post('Hipotension'),
			'Hepatitis' => $this->input->post('Hepatitis'),
			'Artritis' => $this->input->post('Artritis'),
			'Marcapasos' => $this->input->post('Marcapasos'),
			'Dermatitis' => $this->input->post('Dermatitis'),
			'Claustrofobia' => $this->input->post('Claustrofobia'),
			'Psoriasis' => $this->input->post('Psoriasis'),
			'Vitiligo' => $this->input->post('Vitiligo'),
			'Hipertiroidismo' => $this->input->post('Hipertiroidismo'),
			'ColesterolAlto' => $this->input->post('ColesterolAlto'),
			'TrigliseridosAltos' => $this->input->post('TrigliseridosAltos'),
			'RetencionLiquidos' => $this->input->post('RetencionLiquidos'),
			'DesajustesHormonales' => $this->input->post('DesajustesHormonales'),
			'Cicatrizacion' => $this->input->post('Cicatrizacion'),
			'Hernias' => $this->input->post('Hernias'),
			'Cirugias' => $this->input->post('Cirugias'),
			'InsuficienciaHepatica' =>$this->input->post('InsuficienciaHepatica'),
			'Quistes' => $this->input->post('Quistes'),
			'InsuficienciaRenal'=> $this->input->post('InsuficienciaRenal'),
			'Miomas' => $this->input->post('Miomas'),
			'Protesis' => $this->input->post('Protesis'),
			'Cuperosis' => $this->input->post('Cuperosis'),
			'Rosacia' => $this->input->post('Rosacia'),
			'Acantosis' => $this->input->post('Acantosis'),	
			'ProblemasAuditivos' => $this->input->post('ProblemasAuditivos'),
			'ProblemasCirculatorios' => $this->input->post('ProblemasCirculatorios'),
			'TrigliseridosAltos' => $this->input->post('TrigliseridosAltos'),
			'Migraña' => $this->input->post('Migraña'),
			'Hiportiroidismo' => $this->input->post('Hiportiroidismo'),
			'Psoriasis' => $this->input->post('Psoriasis'),
			'Hipertiroidismo' => $this->input->post('Hipertiroidismo'),
			'Epilepsia' => $this->input->post('Epilepsia'),
			'ColesterolAlto' => $this->input->post('ColesterolAlto'),
			'Placas'=>$this->input->post('Placas'),
			'Otras'	=>$this->input->post('Otras'),
			'CualesOtras' =>$this->input->post('CualesOtras'),
			'ComentariosE' =>$this->input->post('ComentariosE'),
			);
		$this->expedienteA_model->editarenlace($IdClientes, $data);
	
	}

		public function eliminar() { //esta funcion permite eliminar un expediente por medio de su id que es pasado mediante la url 
		 $id= $this->uri->segment(5);
		 $this->expedienteA_model->eliminar($id);	 
	}

//------------------------------------------------------------------------------------------------------------------------------------------------------
	//Historico Facial 

	//Muestra todos los datos del tratamiento facial dependiendo el Expediete del cliente seleccionado 
	public function EFacial(){
	if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {

		$id= $this->uri->segment(5);
		$obtenerenlaceExpe = $this->expedienteA_model->obtenerExpe($id);
		if($obtenerenlaceExpe != FALSE){
			foreach ($obtenerenlaceExpe->result() as $fila) {
					$clientes_IdClientes = $fila->clientes_IdClientes;
				$Idexpediente=$fila->Idexpediente;
				}
				$data = array(
				'clientes_IdClientes' => $clientes_IdClientes,	
				'Idexpediente' => $Idexpediente,	
				);
			}else{
				$data ='';
				return FALSE;
			
		}

		
		$this->db->select('*');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('facial')->result();
		$data['ReNombre']=$this->expedienteA_model->obtenerNombre($data);
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/listafacial_view', $data);
		$this->load->view('layout/footer');
		}
	}

	//Muestra la vista agregarfacial_view para agregar las sesiones del tratamiento facial dependiendo el Expediete del cliente seleccionado 
	public function agregarFacial(){
		$this->db->select('*');
		$this->db->join('expediente','Expediente_Idexpediente = Idexpediente','inner');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('facial')->result();
		$data['ReUsuarioC']=$this->expedienteA_model->BuscarUsuarioC();
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/agregarfacial_view',$data);
		$this->load->view('layout/footer');
	
	}

	//Guarda los datos introducidos en el tratamiento facial 
	public function guardarFacial(){
		$parametro['Tratamiento']= $this->input->post('txt_nombref');
		$parametro['Sesion']= $this->input->post('txt_sesion');
		$parametro['Productos']= $this->input->post('txt_productos');
		$parametro['ObservacionesFacial']= $this->input->post('txt_observaciones');
		$parametro['expediente_Idexpediente']= $this->input->post('txt_idEx');
		$parametro['Usuario']= $this->input->post('usuario');
		$this->expedienteA_model->guardarFacial($parametro);
	}


//-----------------------------------------------------------------------------------------------------------------------------------------------------
 	//Historico ELigth 


	//Muestra todos los datos del tratamiento EELigth dependiendo el Expediete del cliente seleccionado 
	public function EELigth(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlaceExpe = $this->expedienteA_model->obtenerExpe($id);
		if($obtenerenlaceExpe != FALSE){
			foreach ($obtenerenlaceExpe->result() as $fila) {
					$clientes_IdClientes = $fila->clientes_IdClientes;
					$Idexpediente=$fila->Idexpediente;
				}
				$data = array(
				'clientes_IdClientes' => $clientes_IdClientes,	
				'Idexpediente' => $Idexpediente,	
				);
			}else{
				$data ='';
				return FALSE;
			
		}

		
		$this->db->select('*');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('eligth')->result();
		$data['ReNombre']=$this->expedienteA_model->obtenerNombre($data);
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/listaeligth_view',$data);
		$this->load->view('layout/footer');
	}

}
	//Muestra la vista agregareligth_view para agregar las sesiones del tratamiento Elight dependiendo el Expediete del cliente seleccionado 
	public function agregarEligth(){
		$this->db->select('*');
		$this->db->join('expediente','Expediente_Idexpediente = Idexpediente','inner');
		$this->db->join('clientes','Clientes_IdClientes= IdClientes','inner');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('facial')->result();
		$data['ReUsuarioC']=$this->expedienteA_model->BuscarUsuarioC();
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/agregareligth_view',$data);
		$this->load->view('layout/footer');
	
	}


	//Guarda los datos introducidos en el tratamiento ELigth
	public function guardarEligth(){
		$parametro['Sesion']= $this->input->post('txt_sesion');
		$parametro['ZonaEligth']= $this->input->post('txt_zona');
		$parametro['Potencia']= $this->input->post('txt_potencia');
		$parametro['Disparos']= $this->input->post('txt_disparos');
		$parametro['ObservacionesEligth']= $this->input->post('txt_observaciones');
		$parametro['expediente_Idexpediente']= $this->input->post('txt_idEx');
		$parametro['Usuario']= $this->input->post('usuario');
		$this->expedienteA_model->guardarEligth($parametro);
	}

//-------------------------------------------------------------------------------------------------------------------------------------------------------
		//Historico Corporal


	//Muestra todos los datos del tratamiento EELigth dependiendo el Expediete del cliente seleccionado 
	public function Corporal(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlaceExpe = $this->expedienteA_model->obtenerExpe($id);
		if($obtenerenlaceExpe != FALSE){
			foreach ($obtenerenlaceExpe->result() as $fila) {
					$clientes_IdClientes = $fila->clientes_IdClientes;
					$Idexpediente=$fila->Idexpediente;
				}
				$data = array(
				'clientes_IdClientes' => $clientes_IdClientes,	
				'Idexpediente' => $Idexpediente,	
				);
			}else{
				$data ='';
				return FALSE;
			
		}

		
		$this->db->select('*');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('corporal')->result();
		$data['ReNombre']=$this->expedienteA_model->obtenerNombre($data);
		$this->db->select('*');
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/listaCorporal_view',$data);
		$this->load->view('layout/footer');
	}

}


	//Muestra la vista agregarcorporal_view para agregar las sesiones del tratamiento Elight dependiendo el Expediete del cliente seleccionado 
	public function agregarCorporal(){
		$this->db->select('*');
		$this->db->join('expediente','Expediente_Idexpediente = Idexpediente','inner');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('corporal')->result();
		$data['ReUsuarioC']=$this->expedienteA_model->BuscarUsuarioC();
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/agregarcorporal_view',$data);
		$this->load->view('layout/footer');
	
	}


	//Guarda los datos introducidos en el tratamiento ELigth
	public function guardarCorporal(){
		$parametro['Tratamiento']= $this->input->post('txt_tratamiento');
		$parametro['Sesion']= $this->input->post('txt_sesion');
		$parametro['Espalda']= $this->input->post('txt_espalda');
		$parametro['Busto']= $this->input->post('txt_busto');
		$parametro['Abdomen']= $this->input->post('txt_abdomen');
		$parametro['Cintura']= $this->input->post('txt_cintura');
		$parametro['CAlta']= $this->input->post('txt_calta');
		$parametro['CBaja']= $this->input->post('txt_cbaja');
		$parametro['PDer']= $this->input->post('txt_pderecha');
		$parametro['PIzq']= $this->input->post('txt_pizquierda');
		$parametro['BDer']= $this->input->post('txt_bderecho');
		$parametro['BIzq']= $this->input->post('txt_bizquierdo');
		$parametro['ObservacionCorporal']= $this->input->post('txt_observaciones');
		$parametro['expediente_Idexpediente']= $this->input->post('txt_idEx');
		$parametro['Usuario']= $this->input->post('usuario');
		$this->expedienteA_model->guardarCorporal($parametro);
	}




	//Función que manda a traer la vista editarProductoInterno_view con los datos del producto seleccionado
	public function editarCorporal(){
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$idC= $this->uri->segment(5);
		$obtenerenlaceC = $this->expedienteA_model->obtenerenlaceC($idC);
		if($obtenerenlace != FALSE){
			foreach ($obtenerenlace->result() as $fila) {
				$IdCorporal = $fila->IdCorporal;
				$FechaCorporal=$fila->FechaCorporal;
				$Espalda=$fila->Espalda;
				$Busto = $fila->Busto;
				$Abdomen=$fila->Abdomen;
				$Cintura=$fila->Cintura;
				$CAlta=$fila->CAlta;
				$CBaja = $fila->CBaja;
				$PDer= $fila->PDer;
				$PIzq=$fila->PIzq;
				$BDer=$fila->BDer;
				$BIzq =$fila->BIzq;
				$Peso =$fila->Peso;

			}$data = array(
				'IdCorporal' => $IdCorporal,
				'FechaCorporal' => $FechaCorporal,
				'Espalda' =>$Espalda,		
				'Busto' => $Busto,
				'Abdomen' => $Abdomen,
				'Cintura' => $Cintura,
				'CAlta' => $CAlta,
				'CBaja' => $CBaja,
				'PDer' => $PDer,
				'PIzq' => $PIzq,
				'BDer' => $BDer,
				'BIzq' => $BIzq,
				'Peso' => $Peso);
			}else{
				$data ='';
				return FALSE;
			
		}
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/Administrador/editarCorporal_view',$data);
		$this->load->view('layout/footer');
		}
	}

//-------------------------------------------------------------------------------------------------------------------------------------------------------
		//Historico Pestañas

	//Muestra todos los datos del tratamiento pestañas dependiendo el Expediete del cliente seleccionado 
	public function EPestanas(){
	if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlaceExpe = $this->expedienteA_model->obtenerExpe($id);
		if($obtenerenlaceExpe != FALSE){
			foreach ($obtenerenlaceExpe->result() as $fila) {
					$clientes_IdClientes = $fila->clientes_IdClientes;
					$Idexpediente=$fila->Idexpediente;
				}
				$data = array(
				'clientes_IdClientes' => $clientes_IdClientes,	
				'Idexpediente' => $Idexpediente,	
				);
			}else{
				$data ='';
				return FALSE;
			
		}

		
		$this->db->select('*');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('pestañas')->result();
		$data['ReNombre']=$this->expedienteA_model->obtenerNombre($data);
		$this->db->select('*');
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/listarpestanas_view', $data);
		$this->load->view('layout/footer');
		}
	}

	public function agregarPestanas(){
		$this->db->select('*');
		$this->db->join('expediente','Expediente_Idexpediente = Idexpediente','inner');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('corporal')->result();
		$data['ReUsuarioC']=$this->expedienteA_model->BuscarUsuarioC();
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/agregarPestanas_view',$data);
		$this->load->view('layout/footer');
	
	}

	//Guarda los datos introducidos 
	public function guardarPestanas(){
		$parametro['Tratamiento']= $this->input->post('Tratamiento');
		$parametro['Sesion']= $this->input->post('txt_sesion');
		$parametro['Grosor']= $this->input->post('txt_grosor');
		$parametro['Longitud']= $this->input->post('txt_longitud');
		$parametro['Curva']= $this->input->post('txt_curva');
		$parametro['Cantidad']= $this->input->post('txt_cantidad');
		$parametro['ResultadoAler']= $this->input->post('txt_resalergia');
		$parametro['ObservacionesPestañas']= $this->input->post('txt_observaciones');
		$parametro['expediente_Idexpediente']= $this->input->post('txt_idEx');
		$parametro['Usuario']= $this->input->post('usuario');
		$this->expedienteA_model->guardarPestanas($parametro);
	}



//-------------------------------------------------------------------------------------------------------------------------------------------------------
		//Historico Relajante 

	//Muestra todos los datos del tratamiento relajantel dependiendo el Expediete del cliente seleccionado 
	public function Relajante(){
	if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '2'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlaceExpe = $this->expedienteA_model->obtenerExpe($id);
		if($obtenerenlaceExpe != FALSE){
			foreach ($obtenerenlaceExpe->result() as $fila) {
					$clientes_IdClientes = $fila->clientes_IdClientes;
					$Idexpediente=$fila->Idexpediente;
				}
				$data = array(
				'clientes_IdClientes' => $clientes_IdClientes,	
				'Idexpediente' => $Idexpediente,	
				);
			}else{
				$data ='';
				return FALSE;
			
		}

		
		$this->db->select('*');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('relajante')->result();
		$data['ReNombre']=$this->expedienteA_model->obtenerNombre($data);
		$this->db->select('*');
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/listarelajante_view', $data);
		$this->load->view('layout/footer');
		}
	}

	public function agregarRelajante(){
		$this->db->select('*');
		$this->db->join('expediente','Expediente_Idexpediente = Idexpediente','inner');
		$this->db->where('Expediente_Idexpediente',$this->uri->segment(5));
		$data['consulta']=$this->db->get('corporal')->result();
		$data['ReUsuarioC']=$this->expedienteA_model->BuscarUsuarioC();
		$this->load->view('layout/header');
		$this->load->view('layout/menuAdmin');
		$this->load->view('expediente/administrador/agregarrelajante_view',$data);
		$this->load->view('layout/footer');
	
	}


	//Guarda los datos introducidos en el tratamiento facial 
	public function guardarRelajante(){
		$parametro['Tratamiento']= $this->input->post('txt_nombref');
		$parametro['Sesion']= $this->input->post('txt_sesion');
		$parametro['Productos']= $this->input->post('txt_productos');
		$parametro['ObservacionesRelajante']= $this->input->post('txt_observaciones');
		$parametro['expediente_Idexpediente']= $this->input->post('txt_idEx');
		$parametro['Usuario']= $this->input->post('usuario');
		$this->expedienteA_model->guardarRelajante($parametro);
	}


}
